#sp-main-body {
    background: url(https://ck44.ru/images/tree_background_15.jpg);
    background-repeat: no-repeat;
    background-size: cover;
}

.breadcrumb {
    display: flex;
    flex-wrap: wrap;
}

.question, .result{
    display:none;
}
.active{
    display:block !important;
}

.quiz-calculator {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    min-height: 50vh;
    padding: 5vh;
    border-top-left-radius: 1rem;
    border-bottom-left-radius: 1rem;
    /* border: 1px solid;
    background: url(https://ck44.ru/images/tree_background_15.jpg);
    background-position: bottom; */
    overflow: hidden;
    position: relative;
}

.quiz-calculator::before {
    content: '';
    position: absolute;
    top: -100%;
    left: -80%;
    bottom: -100%;
    margin: auto;
    /* height: 300%; */
    width: 150%;
    background-color: rgba(255, 255, 255, 0.7);
    box-shadow: 5px 0px 40px 30px rgb(255 255 255 / 70%);
    transform: rotate(10deg);
}

.wrapper_question {
    z-index: 3;
    width: 100%;
    max-width: 800px;
}

.inner_question {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: flex-start;
    margin: 1rem 1rem 2rem;
}

.inner_button_question {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: flex-start;
    gap: 1rem;
}

.inner_button_question button {
    margin: 0 1rem;
    height: 40px;
    width: 100%;
    max-width: 270px;
    display: block;
    font: 18px sans-serif;
    font-weight: bold;
    border: 1px solid #2e5744;
    background-color: #2e5744;
    border-radius: 5px;
    transition: all .3s linear;
    opacity: 1;
    cursor: pointer;
    color: #fff;
}

.inner_button_question button:hover {
    opacity: .8;
}

.wrapper_question p {
    font: bold 20px/2.5rem sans-serif;
    height: 100%;
    min-height: 50px;
    margin: 0;
}

.wrapper_question input {
    height: 40px;
    margin: 1rem 0;
    width: -webkit-fill-available;
    max-width: 300px;
    font-size: 18px;
    padding-left: 1rem;
    border-radius: 5px;
    background: #ffffffa1;
}

.wrapper_result_question {
    z-index: 3;
    font: bold 25px sans-serif;
    margin: 0 1rem;
}

.wrapper_result_question span {
    color: red;
}

.wrapper_question button.prev-question {}

.wrapper_question button.next-question {}

.wrapper_analitic {
    margin: 1rem 0;
    display: flex;
    flex-direction: column;
    width: 100%;
    max-width: 700px;
}

.item_analitic {
    margin: 1vh 0;
    height: 100%;
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: stretch;
}

.decor_analitic {
    width: 5%;
    min-height: 60px;
}

.decor_analitic[data-color="#ff0000"] {
    background-color: #ff0000;
}

.decor_analitic[data-color="#FFCA28"] {
    background-color: #FFCA28;
}

.decor_analitic[data-color="#145640"] {
    background-color: #145640;
}

.decor_analitic[data-color="#B88C68"] {
    background-color: #B88C68;
}

.info_analic {
    width: 100%;
    max-width: 600px;
    font: normal 14px/20px sans-serif;
    padding: 5px 1rem;
    background-color: #fff;
    display: flex;
    justify-content: flex-start;
    align-items: center;
}

.result_analict {
    width: 20%;
    min-width: 60px;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    background-color: #FFD93B;
}

#result_message {
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-start;
    align-items: center;
    max-width: 800px;
    margin: 1rem 0;
}

#result_message img {
    max-width: 90px;
}

#result_message div {
    max-width: 450px;
    font: bold 20px/2.5rem sans-serif;
    margin: 0 1rem;
}

@media (max-width: 767px) {
    .quiz-calculator::before {
        width: 100%;
        left: 0;
        transform: rotate(0deg);
    }

    .wrapper_question p {
        font: bold 18px/2.2rem sans-serif;
    }

    .quiz-calculator {
        padding: 3vh 0;
        border-top-right-radius: 1rem;
        border-bottom-right-radius: 1rem;
    }

    .inner_button_question {
        justify-content: center;
    }

    .info_analic {
        font: normal 12px/15px sans-serif;

    }
}

@media (min-width: 768px) and (max-width: 1024px) {
    .quiz-calculator {
        border-top-right-radius: 1rem;
        border-bottom-right-radius: 1rem;
    }

    .quiz-calculator::before {
        width: 100%;
        bottom: -100%;
        left: 0;
        transform: rotate(0deg);
        box-shadow: none;
    }

}